
/*****************************************************************************/
/* text */

.error
{
	color:			#000000;
	background-color:	#ffe0e0;
	xfont-weight:		bold;
	font-size:		120%;
	border-style:		solid;
	border-width:		1px;
	border-color:		#800000;
	padding:		0.2em 0.5em;
	margin:			1em 0;
}

div.warn
{
	color:			#000000;
	background-color:	#ffd0d0;
	border-style:		solid;
	border-width:		1px;
	border-color:		#a00000;
	padding:		0.5em;
	margin:			1em 0;
}

/*****************************************************************************/

div.testedit-int,
div.testedit-flt,
div.testedit-str
{
	position:		absolute;
	top:			0.5em;
	left:			-1em;
	height:			auto;
	width:			auto;
	background-color:	#ffd080;
	padding:		3px;
	border:			2px solid #000080;
	display:		inline-block;
	z-index:		100;
}

div.testedit-int input,
div.testedit-flt input,
div.testedit-str input
{
	width:			3em;
	font-size:		110%;
}

/*****************************************************************************/

td.swo1,span.swo1 { background-color: #00c00020; }
td.swo2,span.swo2 { background-color: #00c00038; }
td.ham1,span.ham1 { background-color: #c0604020; }
td.ham2,span.ham2 { background-color: #c0604038; }
td.doc1,span.doc1 { background-color: #0020ff20; }
td.doc2,span.doc2 { background-color: #0020ff38; }
td.mag1,span.mag1 { background-color: #ff000020; }
td.mag2,span.mag2 { background-color: #ff000038; }

td.rank,span.rank   { background-color: #80000038; }
td.modus1,span.modus1 { background-color: #0020ff38; }
td.modus2,span.modus2 { background-color: #ff000038; }

/*****************************************************************************/

span.check
{
	color:			#800000;
	font-weight:		bold;
}

span.check::before
{
	content:		" "; /* hairspace */
}

/*****************************************************************************/


/* END */
